varying vec4 diffuse,ambientGlobal, ambient;
varying vec3 normal,lightDir,halfVector;
varying float dist;


void main()
{
	vec3 n,halfV,viewV,ldir;
	float NdotL,NdotHV;
	vec4 color = ambientGlobal;
	float att;

	//Normale normalisieren
	n = normalize(normal);

	//Punktprodukt berechnen
	NdotL = max(dot(n,normalize(lightDir)),0.0);

	//Flache von Licht abgewandt?
	if (NdotL > 0.0) {

		//Lichtabschwchung miteinbeziehen
		att = 1.0 / (gl_LightSource[0].constantAttenuation +
				gl_LightSource[0].linearAttenuation * dist +
				gl_LightSource[0].quadraticAttenuation * dist * dist);
		color += att * (diffuse * NdotL + ambient);

		halfV = normalize(halfVector);
		NdotHV = max(dot(n,halfV),0.0);
		color += att * gl_FrontMaterial.specular * gl_LightSource[0].specular * 
						pow(NdotHV,gl_FrontMaterial.shininess);
	}

	//Entgltige Pixelfarbe zuweisen
	gl_FragColor = color;
}